<?xml version="1.0"?>
<!-- @AutoRun -->
<OBJECTS name="">
    <NODE name="Script" factory="Vector">
        <!-- Diversity Questions -->
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_question</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"   keyName="firstQuestion"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='australia_only'    factory='Boolean'>true</value>
            <value name='multiple_answers'  factory='Boolean'>false</value>
            <value name='question_text' factory='String'>Do you identify as a person of Aboriginal or Torres Strait Islander origin?</value>
            <value name='question_code' factory='String'>ATSI</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_question</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"   keyName="secondQuestion"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='australia_only'    factory='Boolean'>false</value>
            <value name='multiple_answers'  factory='Boolean'>true</value>
            <value name='question_text' factory='String'>Do you identify as a person living with a disability?</value>
            <value name='question_code' factory='String'>DISABLED</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_question</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"   keyName="thirdQuestion"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='australia_only'    factory='Boolean'>false</value>
            <value name='multiple_answers'  factory='Boolean'>false</value>
            <value name='question_text' factory='String'>I identify by gender as</value>
            <value name='question_code' factory='String'>GENDER</value>
        </NODE>
        
        
        <!-- Diversity Answers -->
        
        <!-- first question -->
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>No</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="firstQuestion"/>
            <value name='answer_code' factory='String'>ATSI_NO</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Yes, Aboriginal origin</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="firstQuestion"/>
            <value name='answer_code' factory='String'>ATSI_ABORIGINAL</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Yes, Torres Strait Islander origin</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="firstQuestion"/>
            <value name='answer_code' factory='String'>ATSI_TSI</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Yes, both</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="firstQuestion"/>
            <value name='answer_code' factory='String'>ATSI_BOTH</value>
        </NODE>
        <!-- second question -->
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>No</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="secondQuestion"/>
            <value name='answer_code' factory='String'>DISABLED_NO</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Hearing</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="secondQuestion"/>
            <value name='answer_code' factory='String'>DISABLED_HEARING</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Learning</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="secondQuestion"/>
            <value name='answer_code' factory='String'>DISABLED_LEARNING</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Medical / Physical / Psychiatric</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="secondQuestion"/>
            <value name='answer_code' factory='String'>DISABLED_MEDICAL</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Sight</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="secondQuestion"/>
            <value name='answer_code' factory='String'>DISABLED_SIGHT</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Speech</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="secondQuestion"/>
            <value name='answer_code' factory='String'>DISABLED_SPEECH</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Use of Arms and Hands</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="secondQuestion"/>
            <value name='answer_code' factory='String'>DISABLED_ARMS</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Use of Legs</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="secondQuestion"/>
            <value name='answer_code' factory='String'>DISABLED_LEGS</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Other</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="secondQuestion"/>
            <value name='answer_code' factory='String'>DISABLED_OTHER</value>
        </NODE>
        <!-- third question -->
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Man</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="thirdQuestion"/>
            <value name='answer_code' factory='String'>GENDER_MAN</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Woman</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="thirdQuestion"/>
            <value name='answer_code' factory='String'>GENDER_WOMAN</value>
        </NODE>
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">tl_diversity_answer</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='answer' factory='String'>Other, non-binary</value>
            <value name='question_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="thirdQuestion"/>
            <value name='answer_code' factory='String'>GENDER_OTHER</value>
        </NODE>
    </NODE>
</OBJECTS>
